package cn.hmsoft.weixin.data.model;

import java.io.Serializable;

import cn.hmsoft.jdbc.entity.Table;

/**********************************************
* 微信服务器错误定义
* @author: Zhang XiaoQing
* @date: 2016-08-16 01:08:58
* @version: 1.0.0
* @email: revisit@126.com
* @Company: www.hmsoft.cn
*/
@Table(tableName = "WX_API_ERR", keyColumn =  "ERR_CODE" , sequenceName = "")
public class WxApiErr implements Serializable{
	private static final long serialVersionUID = -586503401817240659L;
	//错误代码
	private Integer err_code;
	//错误描述
	private String err_msg;
	private String err_type;

	/****
	 * 错误代码
	 */
	public Integer getErr_code() {
		return this.err_code;
	}

	/****
	 * 错误代码
	 */
	public void setErr_code(Integer err_code) {
		this.err_code = err_code;
	}

	/****
	 * 错误描述
	 */
	public String getErr_msg() {
		return this.err_msg;
	}

	/****
	 * 错误描述
	 */
	public void setErr_msg(String err_msg) {
		this.err_msg = err_msg;
	}

	public String getErr_type() {
		return this.err_type;
	}

	public void setErr_type(String err_type) {
		this.err_type = err_type;
	}


}